[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TComponentDataLink.Fields

Provides indexed access to fields in the linked dataset by their ordinal position.

## Declaration

Source position: dbgrids.pas line 239

`public property TComponentDataLink.Fields[Index: Integer] : TField read GetFields;`

## Description

Fieldss a read-only indexed TField property which provides access to fields in Dataset by their ordinal position. The return value contains the TField instance in DataSet at the ordinal position in Index. The property value is Nil if Index is not valid for the number of fields in DataSet.

Use DataSet.FieldCount to get the number of fields defined in the linked dataset.

## See also

TDataLink.DataSet
TDataLink.DataSource
TField